Skip to main content
GET
/
api
/
sol
/
perp
/
wallets
/
{address}
/
perp-liquidations
Wallet liquidation events
curl --request GET \
  --url 'https://ca.raze.sh/api/sol/perp/wallets/{address}/perp-liquidations?apiKey='
{
  "address": "<string>",
  "data": [
    {
      "timestamp": 123,
      "slot": 123,
      "market_id": "<string>",
      "venue": "<string>",
      "signature": "<string>",
      "position_pubkey": "<string>",
      "side": "long",
      "size_closed": 123,
      "oracle_price": 123,
      "fee": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Path Parameters

address
string
required

Query Parameters

from
integer<int64>
to
integer<int64>
limit
integer
default:200
Required range: 1 <= x <= 1000

Response

200 - application/json

Success

address
string
data
object[]
count
integer